Subject: Re: [mpls] MPLS-RT review of draft-hegde-mpls-spring-epe-oam

From: Shraddha Hegde <[email-masked]>
Date: Wed, 3 Jun 2020 06:21:06 +0000

Hi Italo,

Thanks for the review and comments.
Pls see inline.

Juniper Business Use Only
From: Italo Busi <[email-masked]>
Sent: Friday, April 17, 2020 2:04 PM
To: Shraddha Hegde <[email-masked]>; [email-masked]; [email-masked]; Mach Chen <[email-masked]>
Cc: [email-masked]; Bocci, Matthew (Nokia - GB) <[email-masked]>; Alexander Vainshtein <[email-masked]>; Sam Aldrin
Subject: RE: MPLS-RT review of draft-hegde-mpls-spring-epe-oam

[External Email. Be cautious of content]

Hi Shraddha,

Thanks for your update: I am ok with the latest changes

While I support the addition of section 5, my comments on figure 2 and 3 were considering more "basic" validation that the sub-TLV is not malformed

Let's consider figure 2, I guess the receiver should check that:

   Length = 20 + "No.of IPv4 interface pairs" * 8 + "No.of IPv6 interface pairs " * 32

I was just wondering whether it is worthwhile making this requirement explicit in the draft.
<Shraddha> Yes. Addressed in -07 version

I take the opportunity to point out a nit in section 5: the text needs to be reformatted to comply with the RFC line width requirements
<Shraddha> Thanks for catching this. Will fix in -07 version.

Italo

Italo Busi
Principal Optical Transport Network Research Engineer
Huawei Technologies Co., Ltd.
Tel : +39 345 4721946
Email : [email-masked]<mailto:[email-masked]>

This e-mail and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!

From: Shraddha Hegde [mailto:[email-masked]]
Sent: lunedì 13 aprile 2020 14:23
To: Italo Busi <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Mach Chen <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>; Alexander Vainshtein <[email-masked]<mailto:[email-masked]>>; Sam Aldrin <[email-masked]<mailto:[email-masked]>>
Subject: RE: MPLS-RT review of draft-hegde-mpls-spring-epe-oam

Hi Italo,

An updated version -06 is posted addressing comments.
Pls take a look.

Rgds
Shraddha

From: Shraddha Hegde
Sent: Friday, March 6, 2020 4:12 PM
To: Italo Busi <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Mach Chen <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>; Alexander Vainshtein <[email-masked]<mailto:[email-masked]>>; Sam Aldrin <[email-masked]<mailto:[email-masked]>>
Subject: RE: MPLS-RT review of draft-hegde-mpls-spring-epe-oam

Hi Italo,

Thanks for review and comments. Pls see inline...

From: Italo Busi <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, February 26, 2020 10:30 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Mach Chen <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>; Alexander Vainshtein <[email-masked]<mailto:[email-masked]>>; Sam Aldrin <[email-masked]<mailto:[email-masked]>>
Subject: RE: MPLS-RT review of draft-hegde-mpls-spring-epe-oam

Hi all,

I have been selected as one of the  MPLS-RT reviewers of draft-hegde-mpls-spring-epe-oam.

I have reviewed the latest version of the draft which has been published two days ago (draft-hegde-mpls-spring-epe-oam-05).

I think that the document is coherent, is it useful (i.e., it addresses a real need for operational networks), and it is technically sound.

Therefore, I think that the draft is ready to be adopted as a WG document.

I have few comments that can be addressed either before or after WG adoption.

1.       The Introduction mentions the procedures defined in section 7 of RFC8287 and clarified by RFC8690.

My understanding is that RFC8690 clarifies how to use the length field with the sub-TLVs defined in section 5 of RFC8287 and therefore it is not strictly applicable to this draft.
<shraddha> yes. You are right. I updated this sentence and referred 8690 based on comment that 8287
Has an important clarification in RFC 8690 so it should be reference.

However, it would be worthwhile clarifying in section 4 of this draft how the length field should be set for the EPE SID sub-TLVs. An example would also be useful.
<shraddha> yes updated the draft.

2.       I guess that all the information elements used in the sub-TLVs defined in section 4 of this draft are those defined in draft-ietf-idr-bgpls-segment-routing-epe.
<Shraddha> Yes.

It would be worthwhile to reference draft-ietf-idr-bgpls-segment-routing-epe for these definitions.
<Shraddha> yes, normative reference added.

I guess this would also help resolving comment #1 from Sasha on link-local IPv6 addresses and unnumbered interfaces: whatever is supported by draft-ietf-idr-bgpls-segment-routing-epe should be also supported by this draft (and vice versa)
<shraddha> updated with link-local addresses FFS.

3.       In Figure 2, the "No.of IPv6 interface pairs" field seems a bit redundant since the information can be inferred from the "Length" and "No.of IPv4 interface pairs " fields
<shraddha> Since IPv4 and ipv6 address pair may be present simultaneously, we need this field.

This is ok for me but please add some text to clarify whether the receiver should/shall perform some validation check
 <shraddha> sure will add new section in next revision.
4.       Figure 3 is not fully clear

If I understand well, the "Remote As Number", "Remote BGP Router ID", "No.of IPv4 interface pairs", ... fields are repeated for each element in the set.
<Shraddha> yes, these elements are repeated for each set.

It may be worthwhile to split the figure into two: one describing the TLV containing one or more "elements" and one describing the fields used in each element.
<Shraddha> Yes. updated

5.       In Figure 6, the "No.of elements in set" field as well as the "No.of IPv6 interface pairs" field of the last element in the set seem a bit redundant since the information can be inferred from the "Length" and "No.of IPv4 interface pairs " of the last element in the set fields
<Shraddha>Since both IPv4 and IPv6 addresses pairs may be present simultaneously, number of pairs field is required.

As for comment #3 above, this is ok for me but please add some text to clarify whether the receiver should/shall perform some validation check
 <shraddha> sure will add new section in next revision.
Italo

> -----Original Message-----
> From: Loa Andersson [mailto:[email-masked]]
> Sent: venerdì 14 febbraio 2020 05:53
> To: Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>; Alexander
> Vainshtein <[email-masked]<mailto:[email-masked]>>; Sam Aldrin
> <[email-masked]<mailto:[email-masked]>>; Italo Busi <[email-masked]<mailto:[email-masked]>>
> Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
> Subject: MPLS-RT review of draft-hegde-mpls-spring-epe-oam
>
> Mathew, Sam, Sasha and Italo,
>
> You have be selected as MPLS-RT reviewers for draft-hegde-mpls-spring-epe-
> oam.
>
> Note to authors: You have been CC'd on this email so that you can know that
> this review is going on. However, please do not review your own document.
>
> Reviews should comment on whether the document is coherent, is it useful (ie,
> is it likely to be actually useful in operational networks), and is the document
> technically sound?  We are interested in knowing whether the document is
> ready to be considered for WG adoption (ie, it doesn't have to be perfect at
> this point, but should be a good start).
>
> Reviews should be sent to the document authors, WG co-chairs and WG
> secretary, and CC'd to the MPLS WG email list. If necessary, comments may be
> sent privately to only the WG chairs.
>
> If you have technical comments you should try to be explicit about what
> *really* need to be resolved before adopting it as a working group document,
> and what can wait until the document is a working group document and the
> working group has the revision control.
>
> Are you able to review this draft by Feb 28, 2020? Please respond in a timely
> fashion.
>
>
> Thanks, Loa
> (as MPLS WG chair)
> --
> --
>
>
> Loa Andersson                        email: [email-masked]<mailto:[email-masked]>
> Senior MPLS Expert
> Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: Italo Busi <[email-masked]>
Date: Wed, 3 Jun 2020 22:10:05 +0000

Hi Shraddha,

You have addressed all my comments

Thanks, Italo

From: Shraddha Hegde [mailto:[email-masked]]
Sent: mercoledì 3 giugno 2020 08:21
To: Italo Busi <[email-masked]>; [email-masked]; [email-masked]; Mach Chen <[email-masked]>
Cc: [email-masked]; Bocci, Matthew (Nokia - GB) <[email-masked]>; Alexander Vainshtein <[email-masked]>; Sam Aldrin <[email-masked]>
Subject: RE: MPLS-RT review of draft-hegde-mpls-spring-epe-oam

Hi Italo,

Juniper Business Use Only
From: Italo Busi <[email-masked]<mailto:[email-masked]>>
Sent: Friday, April 17, 2020 2:04 PM
To: Shraddha Hegde <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Mach Chen <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>; Alexander Vainshtein <[email-masked]<mailto:[email-masked]>>; Sam Aldrin
Subject: RE: MPLS-RT review of draft-hegde-mpls-spring-epe-oam

Hi Shraddha,

Italo

Italo Busi

Hi Italo,

Rgds
Shraddha

From: Shraddha Hegde

Hi Italo,

Hi all,